aboutsummaryrefslogtreecommitdiffstats
path: root/community/knot/knotd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/knot/knotd.initd')
-rw-r--r--community/knot/knotd.initd36
1 files changed, 36 insertions, 0 deletions
diff --git a/community/knot/knotd.initd b/community/knot/knotd.initd
new file mode 100644
index 000000000..49309869e
--- /dev/null
+++ b/community/knot/knotd.initd
@@ -0,0 +1,36 @@
+#!/sbin/openrc-run
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-dns/knot/files/knot.init,v 1.2 2013/08/21 09:23:59 scarabeus Exp $
+
+name="knotd"
+command="/usr/sbin/knotd"
+command_args="-d ${KNOTD_OPTS}"
+start_stop_daemon_args="--wait 5"
+required_files=/etc/knot/knot.conf
+extra_started_commands="reload"
+description_reload="Reload configuration and changed zones"
+
+depend() {
+ need net
+}
+
+start_pre() {
+ checkpath -d -m 0750 -o knot:knot /var/run/knot/ /var/lib/knot/
+}
+
+stop() {
+ ebegin "Stopping ${name}"
+ /usr/sbin/knotc stop >/dev/null 2>&1
+ # Mark service as stopped if remote control was successful
+ if [ 0 -eq $? ]; then
+ start-stop-daemon --stop --quiet --pidfile /var/run/knot/knot.pid
+ fi
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading knot"
+ /usr/sbin/knotc reload >/dev/null
+ eend $?
+}